Five Magnificent Linux Music Streaming Clients
================================================================================
Digital streams almost totally command my music listening these days. Over the years I have amassed a large collection of CDs at considerable expense; most of them now sit neglected gathering dust. Almost all music streaming services fall short of the audio quality of CDs, but their popularity has more to do with sheer convenience than high-fidelity sound reproduction. Music streaming has not only been to the detriment of CD sales; digital downloads have also experienced a slowing down of sales. This is only set to continue. Audiophiles may be tempted to embrace music streaming given that there are now services such as Tidal which offers high fidelity music streaming, 25 million tracks encoded with the FLAC format streamed at 1,411kbps.

CDs are not going away though. Music streaming services do experience issues with record labels and artists who are unhappy with the amount of return they receive from letting their music be hosted on the service. This is still in flux; we have seen this year Led Zeppelin, Pink Floyd, Metallica sign up to streaming services, but there are still some notable omissions such as the Beatles, Radiohead and AC/DC who refuse to allow fans to stream their music. Even where a record label or singer has given permission to allow streaming services to access their work, an artist's back catalog can be pulled at a moment's notice. This month, Taylor Swift’s entire catalog of music was pulled from Spotify's streaming service at the pop singer’s request. Some people will still prefer to "possess" their collection, but it's looking like an increasingly old fashioned way to enjoy music.

The Linux platform has matured into a good way of listening to streaming music services. There are clients available for most of the music streaming services; I hope TIDAL will support Linux on the desktop in due course, and not rely on a web player. All of the applications featured in this article are excellent. An honorable mention should be given to Amarok, pianobar, and Tomahawk.

![Spotify](http://www.linuxlinks.com/portal/content2/png/Spotify.png)

![Spotify in action](http://www.linuxlinks.com/portal/content/reviews/Audio/Screenshot-Spotify-Streaming.png)

Spotify is a proprietary peer-to-peer music streaming service that allows users to listen to tracks or albums on demand. The service describes itself as "A world of music. Instant, simple and free". Spotify uses 96kbps streaming on mobile, 160kbps on desktop and 320kbps for "Premium subscribers" - all encoded in the Ogg Vorbis format. Spotify is free for those who choose to live with adverts, or at a reasonable monthly charge without them.

Spotify is a fantastic service, offering access to a huge library of music covering all different types of music such as pop, alternative, classical, techno, and rock. It is a great way of dipping into new music. The service has the support of major labels including Sony BMG, EMI, Universal, and Warner Music, as well as independent labels and distribution networks like Labrador Records, The Orchard, Alligator Records, Merlin, CD Baby, INgrooves as well as classical music labels such as Chandos, Naxos, EMI Classic, Warner Classics, Denon Essentials and many more. The breadth of music is continuing to expand at a phenomenal pace.

Spotify does not officially support Linux at the moment. However, they have developed a preview build of Spotify for Linux, which works well. As its a preview release, this version is still unsupported.

Spotify is available in Andorra, Argentina, Australia, Austria, Belgium, Bulgaria, Colombia, Cyprus, Denmark, Estonia, Finland, France, Germany, Greece, Hong Kong, Iceland, Ireland, Italy, Latvia, Liechtenstein, Lithuania, Luxembourg, Malaysia, Malta, Mexico, Monaco, Netherlands, New Zealand, Norway, the Philippines, Poland, Portugal, Spain, Singapore, Sweden, Switzerland, Taiwan, Turkey, the United Kingdom, the United States, Uruguay, and a few others.

**Features include:**

- A well designed interface makes navigation effortless
- Create and edit playlists
- Discover new music
- Share music and playlists
- Radio feature
- Top Lists
- Additional functionality with large variety of apps

- Website: [www.spotify.com/uk/download/previews][1]
- Developer: Spotify
- License: Proprietary
- Version Number: Preview

----------

![Pithos](http://www.linuxlinks.com/portal/content2/png/Pithos.png)

![Pithos in action](http://www.linuxlinks.com/portal/content/reviews/Audio/Screenshot-Pithos-streaming.png)

Pithos is an open source native Pandora Radio client for Linux. It offers a lightweight alternative to the official Pandora.com web client. The graphical user interface integrates with desktop features such as media keys, notifications, and the sound menu.

The Pandora music service is only intended to be used by US IP addresses. However, users located outside the US can use Pandora with a VPN.

**Features include: **

- Play / Pause / Next Song
- Switching stations
- Remembers your user name and password
- Bookmarking of songs and artists
- Cover Art
- Thumbs Up / Thumbs Down / Tired of this song
- Notification popup with song info
- Launching pandora.com song info page and station page
- Reconnecting when pandora session times out
- Editing QuickMix
- Creating stations
- Media Key support
- Proxy support
- Last.fm scrobbling support
- Volume control
- Plugins including Screensaver pause
- Two DBUS APIs: MPRIS and Pithos

- Website: [pithos.github.io][2]
- Developer: Kevin Mehall
- License: GNU GPL v3
- Version Number: 1.0.0

----------

![Clementine](http://www.linuxlinks.com/portal/content2/png/Clementine.png)

![Clementine in action](http://www.linuxlinks.com/portal/content/reviews/Audio/Screenshot-Clementine-Streaming.png)

Clementine is a cross-platform, lightweight, modern music player and library organiser based on Amarok. Clementine focuses on a fast and easy-to-use interface for searching and playing your music.

It is inspired by Amarok 1.4, focusing on a fast and easy-to-use interface for searching and playing your music.

Features include:

- Search and play your local music library
- Listen to internet radio from Last.fm and SomaFM
- Tabbed playlists, import and export M3U, XSPF, PLS and ASX
- Create smart playlists and dynamic playlists
- Load M3U and XSPF playlists
- Undo and redo in the playlist
- Edit tags on MP3 and OGG files, organise your music
- Download missing album cover art from Last.fm
- Podcast support with integration with gpodder.net
- Graphical equalizer
- Cross-platform works on Windows, Mac OS X and Linux
- Native desktop notifications on Linux (libnotify) and Mac OS X (Growl)
- Fetch missing tags from MusicBrainz
- Attractive on screen display
- Queue manager
- Supports MPRIS on Linux, or remote control using the command-line
- Supports indexing and playing music from Google Drive
- Support for Soundcloud
- Support for jazzradio.com
- Support for Moodbar
- Visualizations from projectM
- Copy music to your iPod, iPhone, MTP or mass-storage USB player
- Remote control
- Transcode music into MP3, Ogg Vorbis, Ogg Speex, FLAC or AAC

- Website: [www.clementine-player.org][3]
- Developer: David Sansome, John Maguire
- License: GNU GPL v3
- Version Number: 1.2

----------

![Nuvola Player](http://www.linuxlinks.com/portal/content2/png/NuvolaPlayer.png)

![Nuvola Player in action](http://www.linuxlinks.com/portal/content/reviews/Utilities/Screenshot-NuvolaPlayer-Streaming.png)

Nuvola Player is a free and open source project that offers cloud music integration for your desktop (system tray, Ubuntu sound menu, dock menu and notifications).

To use all of the streaming services, you need Flash and HTML5 audio support. Some web-based streaming services can utilize HTML5 Audio technology for music playback instead of the Flash plugin. Nuvola Player requires GStreamer with MP3 decoder plugin to provide HTML5 Audio support.

**Supported Services:**

- Amazon Cloud Player integrated with the MP3 store and allows users to store their music on Amazon Cloud Drive, and play that music from any supported web browsers
- Bandcamp an online music store, as well as a platform for artist promotion, that caters mainly to independent artists
- Deezer a French web-based music streaming service. It allows users to listen to music on various devices online or offline. It currently has 18 million licensed tracks, over 30,000 radio channels and 22 million users (1.5 million subscribers)
- 8tracks a website that fuses elements of internet radio and social networking revolving around the concept of streaming user-curated playlists consisting of at least 8 tracks
- Google Play Music a digital content service from Google which includes an online store for music, movies, books, and Android apps and games, as well as a cloud media player that supports uploading a user's own music and buying music at Google Play Store
- Grooveshark an international online music search engine, music streaming service and music recommendation web software application, allowing users to search for, stream, and upload music that can be played immediately or added to a playlist
- Grooveshark Mobile the HTML5-based mobile version of Grooveshark which does not require Flash
- Hype Machine an amalgamation of Pandora Radio and Pitchfork Media. It aggregates the most recently posted songs from a selection of music blogs (about 1,500) and lists them on the website's main page
- Jango a free online music streaming service that allows users to create and share custom radio stations
- Logitech Media Server the open source media server for Logitech Squeezebox devices. It supports plug-ins and multiple only services like Deezer or Spotify
- Pandora an automated music recommendation service and "custodian" of the Music Genome Project available only in the United States
- Rdio an ad-free music subscription service
- Spotify a commercial music streaming service providing digital rights management-restricted content from record labels
- This is My Jam a place to put your favorite song of the moment & hear great music, handpicked every day by friends

**Features include:**

- Multimedia keys
- Shows desktop notifications
- Integrates with various sound menus, applets and launchers and more
- Last FM and Libre FM scrobbling
- Lyrics fetching
- Support for Amazon Music Prime streaming

- Website: [tiliado.eu/nuvolaplayer][4]
- Developer: Jiří Janoušek and service maintainers
- License: 2-Clause BSD license
- Version Number: 2.4.3

----------

![Atraci](http://www.linuxlinks.com/portal/content2/png/Atraci-2.png)

![Atraci in action](http://www.linuxlinks.com/portal/content/reviews/Utilities/Screenshot-Atraci.png)

Atraci is a multi-platform open source streaming application that lets users listen to more than 60 million songs. It is still in an early stage of development, so the application is not the most feature laden.

Atraci use iTunes, Last.fm and SoundCloud to display song information - cover, title, artist. Atraci searches the best match for this song on YouTube and streams the highest quality video stream.

**Features include: **

- No advertisements, no sign up required
- Intuitive user interface
- Smart matching search for any song, artist name or album. Atraci checks it against online listings to show correct title, album artwork, track lists and so on, with listed options being the highest quality video streams
- Album and artist autosuggestions
- Sort results by 'default', 'artist' or ‘track’
- View results in 'grid' or 'list' layouts
- Accompanying video can be made full screen
- Create playlists with shuffle and repeat options
- In-app volume slider, track scrubber and album artwork
- History of recently played tracks

- Website: [atraci.github.io/Atraci-website][5]
- Developer: The Atraci Team
- License: The MIT License
- Version Number: 0.7.0

--------------------------------------------------------------------------------

via: http://www.linuxlinks.com/article/20141116052055674/MusicStreaming.html

作者：Frazer Kline 
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:https://www.spotify.com/uk/download/previews/
[2]:http://pithos.github.io/
[3]:https://www.clementine-player.org/
[4]:https://tiliado.eu/nuvolaplayer/
[5]:http://atraci.github.io/Atraci-website/