7 Things to Do After Installing Ubuntu 14.10 Utopic Unicorn
================================================================================
After you’ve installed or [upgraded to Ubuntu 14.10][1], known by its codename ‘Utopic Unicorn’, there are a few things you should do to get it up and running in tip-top shape.

Whether you’ve performed a fresh install or upgraded an existing version, here’s our biannual checklist of post-install tasks to get started with.

### 1. Get Acquainted ###

![The Ubuntu Browser](http://www.omgubuntu.co.uk/wp-content/uploads/2014/10/Screen-Shot-2014-10-23-at-20.02.54.png)

The Ubuntu Browser

The majority of changes rocking up in Ubuntu 14.10 aren’t immediately visible (save for some new wallpapers). That said, there are a bunch of freshly updated apps to get familiar with.

Preinstalled are the latest versions of workhouse staples **Mozilla Firefox**, **Thunderbird**, and **LibreOffice**. Dig a little deeper and you’ll also find Evince 3.14, and a brand new version of the “Ubuntu Web Browser” app, used for handling web-apps.

While you’re getting familiar, be sure to fire up the Software Updater tool to **check for any impromptu issues Ubuntu has found and fixed** post-release. Yes, I know: you only just upgraded. But, even so — bugs don’t adhere to deadlines like developers do!

### 2. Personalise The Desktop ###

![New wallpapers in 14.10](http://www.omgubuntu.co.uk/wp-content/uploads/2014/10/wallpapers-new-in-14.10.jpg)

New wallpapers in 14.10

It’s your desktop PC, so don’t put off making it look, feel and behave how you like.

Your first port of call might be changing the desktop wallpaper to one of the [twelve stunning new backgrounds][2] included in 14.10, ranging from retro record player to illustrated unicorn.

Wallpapers and a host of other theme and layout options are accessible from the **Appearance Settings** pane of the System Settings app. From here you can:

- Switch to a different theme
- Adjust launcher size & behaviour
- Enable workspaces & desktop icons
- Put app menus back into app windows

For some nifty new themes be sure to check out our **‘themes & icons’ category** here on the site.

### 3. Install Graphics Card Drivers ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2014/10/additional-drivers.jpg)

If you plan on playing the [latest Steam games][3], watching high-definition video or working with graphically intensive software you’ll want to enable the latest Linux graphics drivers available for your hardware.

Ubuntu makes this easy:

- Open up the Software & Updates tool from the Unity Dash
- Click the ‘Additional Drivers‘ tab
- Follow any on-screen prompts to check, install and apply changes 

### 4. Enable Music & Video Codecs ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2014/10/msuci.jpg)

Games sorted, now to make **music and video files work just as well**. 

Most popular formats, .mp3, .m4a, .mov, etc., will work fine in Ubuntu — after a little cajoling. Patent-encumbered codecs cannot ship in Ubuntu for legal reasons, leaving you unable to play popular audio and video formats out of the (invisible) box.

Don’t panic. To play music or watch video you can install all of the codecs you need quickly, and through the Ubuntu Software Center.

- [Install Third-Party Codecs][4]

### 5. Pimp Your Privacy ###

![](http://www.omgubuntu.co.uk/wp-content/uploads/2014/10/privacy-in-ubuntu-settingd.jpg)

The Unity Dash is a great one-stop hub for finding stuff, be it a PDF file lurking on your computer or the current weather forecast in Stockholm, Sweden.

But the diversity of data surfaced through the Dash in just a few keystrokes doesn’t suit everyone’s needs. So you may want to dial down the noise and restrict what shows up.

To stop certain files and folders from searched in the Dash and/or to disable all ‘online’ results returned for a query, head to the **Privacy & Security** section in System Settings.

Here you’ll find all the tools, options and configuration switches you need, including options to:

- Choose what apps & files can be searched from the Dash
- Whether to require a password on waking from suspend
- Disable sending error reports to Canonical
- Turn off all ‘online’ features of the Dash

### 6. Swap The Default Apps For Your Faves ###

![Make it yours](http://www.omgubuntu.co.uk/wp-content/uploads/2014/10/more-apps.jpg)

Make it yours

Ubuntu comes preloaded with a tonne of apps, including a web browser (Mozilla Firefox), e-mail client (Thunderbird), music player (Rhythmbox), office suite (LibreOffice) and instant messenger (Empathy Instant Messenger).

All well and good, they’re not everyone’s cup of tea. The Ubuntu Software Center is home to a slew of app alternatives, including:

- VLC – Versatile media player
- Steam – Games distribution platform
- [Geary — Easy-to-use desktop e-mail app][5]
- GIMP – Advanced image editor similar to Photoshop
- Clementine — Stylish, fully-featured music player
- Chromium open-source version of Google Chrome (without Flash)

The Ubuntu Software Center plays host to a huge range of other apps, many of which you might not have heard of before. Since most apps are free, don’t be scared to try things out!

### 7. Grab The Essentials ###

![Netflix in Chrome on Ubuntu](http://www.omgubuntu.co.uk/wp-content/uploads/2014/10/netflix-linux-working-in-chrome.jpg)

Netflix in Chrome on Ubuntu

Software Center apps aside, you may also wish to grab big-name apps like Skype, Spotify and Dropbox.

Google Chrome is also a must if you wish to watch Netflix natively on Ubuntu or benefit from the latest, safest version of Flash.

Most of these apps are available to download directly from their respective websites and can be installed on Ubuntu with a couple of clicks.

- [Download Skype for Linux][6]
- [Download Google Chrome for Linux][7]
- [Download Dropbox for Linux][8]
- [How to Install Spotify in Ubuntu][9]

Talking of Google Chrome — did you know you can (unofficially) [install and run Android apps through it?][9] Oh yes ;)

#### Finally… ####

The items above are not the only ones applicable post-upgrade. Read through and follow the ones that chime with you, and feel free to ignore those that don’t.

Secondly, this is a list for those who’ve upgraded to or installed Ubuntu 14.10. We’re not going walk you through carving it up into something that isn’t Ubuntu. If Unity isn’t your thing that’s fine, but be logical about it; save yourself some time and install one of the official flavours or offshoots instead.

--------------------------------------------------------------------------------

via: http://www.omgubuntu.co.uk/2014/10/7-things-to-do-after-installing-ubuntu-14-10-utopic-unicorn

作者：[Joey-Elijah Sneddon][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:https://plus.google.com/117485690627814051450/?rel=author
[1]:http://www.omgubuntu.co.uk/2014/10/ubuntu-14-10-release-download-now
[2]:http://www.omgubuntu.co.uk/2014/09/ubuntu-14-10-wallpaper-contest-winners
[3]:http://www.omgubuntu.co.uk/category/gaming
[4]:https://apps.ubuntu.com/cat/applications/ubuntu-restricted-extras/
[5]:http://www.omgubuntu.co.uk/2014/09/new-shotwell-geary-stable-release-available-to-downed
[6]:http://www.skype.com/en/download-skype/skype-for-linux/
[7]:http://www.google.com/chrome
[8]:https://www.dropbox.com/install?os=lnx
[9]:http://www.omgubuntu.co.uk/2013/01/how-to-install-spotify-in-ubuntu-12-04-12-10
[10]:http://www.omgubuntu.co.uk/2014/09/install-android-apps-ubuntu-archon